Search Requestable Credential Offerings
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appId": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"targetUserId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings"
payload = {
"appId": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"targetUserId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appId: '<string>',
pageSize: 123,
pageToken: '<string>',
query: '<string>',
targetUserId: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => '<string>',
'pageSize' => 123,
'pageToken' => '<string>',
'query' => '<string>',
'targetUserId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings"
payload := strings.NewReader("{\n \"appId\": \"<string>\",\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"targetUserId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"appId\": \"<string>\",\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"targetUserId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"appId\": \"<string>\",\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"targetUserId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"list": [
{
"allowedViews": 123,
"appId": "<string>",
"displayName": "<string>",
"id": "<string>",
"maxDuration": "<string>",
"requestCatalogId": "<string>",
"requesterAccountSubject": true,
"requesterAppUserIds": [
"<string>"
],
"retrievalWindow": "<string>"
}
],
"nextPageToken": "<string>"
}Request Catalog
Search Requestable Credential Offerings
SearchRequestableCredentialOfferings returns the credential offerings the target user can request, optionally limited to one app, ordered by display name then ids.
POST
/
api
/
v1
/
search
/
request_catalog
/
credential_offerings
Search Requestable Credential Offerings
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appId": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"targetUserId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings"
payload = {
"appId": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"targetUserId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appId: '<string>',
pageSize: 123,
pageToken: '<string>',
query: '<string>',
targetUserId: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => '<string>',
'pageSize' => 123,
'pageToken' => '<string>',
'query' => '<string>',
'targetUserId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings"
payload := strings.NewReader("{\n \"appId\": \"<string>\",\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"targetUserId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"appId\": \"<string>\",\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"targetUserId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/search/request_catalog/credential_offerings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"appId\": \"<string>\",\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"targetUserId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"list": [
{
"allowedViews": 123,
"appId": "<string>",
"displayName": "<string>",
"id": "<string>",
"maxDuration": "<string>",
"requestCatalogId": "<string>",
"requesterAccountSubject": true,
"requesterAppUserIds": [
"<string>"
],
"retrievalWindow": "<string>"
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
Was this page helpful?